RegistryVersionhistory
Get the history for a record or relationship
Retrieves a list of all operations performed on a specific source entity (record or relationship). Results can be paginated and filtered by a date range.
X-Clinia-API-Key<token>
In: header
Path Parameters
sourceKey*string
The source key.
collectionType*string
The type of the collection.
Value in
- "resources"
- "relationships"
collectionKey*string
The key of the collection.
itemId*string
The id of the item.
Query Parameters
perPage?integer
The number of items to return per page.
Format
int32Default
20page?integer
The page number to retrieve.
Format
int32Default
1from?string
The start of the date range filter (ISO 8601 format). The default value is the beginning of time.
Format
date-timeto?string
The end of the date range filter (ISO 8601 format). The default value is now.
Format
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/sources/string/v1/history/resources/string/string/operations"[ { "id": "string", "type": "string", "targetType": "resources", "operationId": "string", "taskId": "string", "timestamp": "2019-08-24T14:15:22Z", "action": "CREATE", "userInfo": { "id": "string", "email": "string" } }]